# HAT-STACK

Section: User Commands (1)
Updated: local
Index Return to Main Contents

## NAME

hat-stack - "virtual" stack trace for a crashed Haskell program

## SYNOPSIS

hat-stack prog[.hat]

## DESCRIPTION

For aborted computations, that is computations that terminated with an error message or were interrupted, hat-stack shows in which function call the computation was aborted. It does so by showing a virtual stack of function calls (redexes), i.e. every function call on the stack caused the function call above it. The evaluation of the top stack element caused the error (or during its evaluation the computation was interrupted). The stack shown is virtual, because it does not correspond to the actual runtime stack. The actual runtime stack enables lazy evaluation whereas the virtual stack corresponds to a stack that would have been used for eager (strict) evaluation.

hat-stack is now largely superseded by hat-trail(1) which allows interactive browsing of the complete call chain.

## FILES

/usr/local/bin/hat-stack

## SEE ALSO

hmake(1), hat-trans(1), hat-observe(1), hat-detect(1), hat-trail(1)

## Index

NAME
SYNOPSIS
DESCRIPTION
FILES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 15:48:36 GMT, July 03, 2003